(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var pointerReg = /^#\//;
    function isPointer(s) {
        return typeof s === 'string' && pointerReg.test(s);
    }
    exports.isPointer = isPointer;
    function isMustache(s) {
        return typeof s === 'string' && /{{\s*#\/.+?(?=}})/.test(s);
    }
    exports.isMustache = isMustache;
    function getPath(str) {
        var path = str.replace(pointerReg, '').split('/').filter(function (a) { return a; });
        return path;
    }
    exports.getPath = getPath;
    function getFromPath(str, parentPath) {
        var path = getPath(str);
        if (path[0] === '~') {
            if (parentPath) {
                parentPath.from = [];
            }
            return path.slice(1);
        }
        return path;
    }
    exports.getFromPath = getFromPath;
});
//# sourceMappingURL=utils.js.map